package com.ygtx.gxt.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ygtx.gxt.mapper.GxtCoefficientScoreMapper;
import com.ygtx.gxt.domain.GxtCoefficientScore;
import com.ygtx.gxt.service.IGxtCoefficientScoreService;

/**
 * 系数与定检台数统计Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-11-04
 */
@Service
public class GxtCoefficientScoreServiceImpl implements IGxtCoefficientScoreService 
{
    @Autowired
    private GxtCoefficientScoreMapper gxtCoefficientScoreMapper;

    /**
     * 查询系数与定检台数统计
     * 
     * @param id 系数与定检台数统计主键
     * @return 系数与定检台数统计
     */
    @Override
    public GxtCoefficientScore selectGxtCoefficientScoreById(Long id)
    {
        return gxtCoefficientScoreMapper.selectGxtCoefficientScoreById(id);
    }

    /**
     * 查询系数与定检台数统计列表
     * 
     * @param gxtCoefficientScore 系数与定检台数统计
     * @return 系数与定检台数统计
     */
    @Override
    public List<GxtCoefficientScore> selectGxtCoefficientScoreList(GxtCoefficientScore gxtCoefficientScore)
    {
        return gxtCoefficientScoreMapper.selectGxtCoefficientScoreList(gxtCoefficientScore);
    }

    /**
     * 新增系数与定检台数统计
     * 
     * @param gxtCoefficientScore 系数与定检台数统计
     * @return 结果
     */
    @Override
    public int insertGxtCoefficientScore(GxtCoefficientScore gxtCoefficientScore)
    {
        return gxtCoefficientScoreMapper.insertGxtCoefficientScore(gxtCoefficientScore);
    }

    /**
     * 修改系数与定检台数统计
     * 
     * @param gxtCoefficientScore 系数与定检台数统计
     * @return 结果
     */
    @Override
    public int updateGxtCoefficientScore(GxtCoefficientScore gxtCoefficientScore)
    {
        return gxtCoefficientScoreMapper.updateGxtCoefficientScore(gxtCoefficientScore);
    }

    /**
     * 批量删除系数与定检台数统计
     * 
     * @param ids 需要删除的系数与定检台数统计主键
     * @return 结果
     */
    @Override
    public int deleteGxtCoefficientScoreByIds(Long[] ids)
    {
        return gxtCoefficientScoreMapper.deleteGxtCoefficientScoreByIds(ids);
    }

    /**
     * 删除系数与定检台数统计信息
     * 
     * @param id 系数与定检台数统计主键
     * @return 结果
     */
    @Override
    public int deleteGxtCoefficientScoreById(Long id)
    {
        return gxtCoefficientScoreMapper.deleteGxtCoefficientScoreById(id);
    }
}